> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jsonify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract more data from a previous workflow run

> This re-scans a previous result wth a different data structure or directive. Requires either schema or directive, not both. Does not save the updated schema.



## OpenAPI

````yaml https://app.jsonify.com/static/openapi.yaml post /api/v2/result/{result_id}/extract_data
openapi: 3.0.0
info:
  title: Jsonify Platform API
  version: 2.0.0
  description: The Jsonify platform API lets you create and manage agent and data tasks.
servers:
  - url: https://api.jsonify.com
    description: Production server
security: []
paths:
  /api/v2/result/{result_id}/extract_data:
    post:
      summary: Extract more data from a previous workflow run
      description: >-
        This re-scans a previous result wth a different data structure or
        directive. Requires either schema or directive, not both. Does not save
        the updated schema.
      parameters:
        - name: result_id
          in: path
          required: true
          description: The result GUID
          schema:
            type: string
        - name: directive
          in: query
          required: false
          description: A human-readable directive to the AI about how to rephrase the data
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: string
              description: A JSON schema to extract against. Must be valid JSON.
              example:
                name: <the site name>
      responses:
        '200':
          description: A task result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ResultResponse:
      type: object
      properties:
        message:
          type: string
        result:
          $ref: '#/components/schemas/Result'
        success:
          type: boolean
    Result:
      type: object
      properties:
        changed:
          type: boolean
        credits:
          $ref: '#/components/schemas/Credits'
        details:
          $ref: '#/components/schemas/Details'
        json:
          $ref: '#/components/schemas/JsonData'
        screenshots:
          type: array
          items:
            type: string
            format: uri
        when:
          type: integer
          format: int64
        done:
          type: boolean
          description: whether the result has finished processing or not. poll until true.
        id:
          type: string
    Credits:
      type: object
      properties:
        remaining:
          type: integer
        used:
          type: integer
    Details:
      type: object
      properties:
        descr:
          type: string
    JsonData:
      type: object
      properties:
        data:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````